
Redmine - Feature #7318

Add user agent to Redmine Mailhandler

2011-01-13 11:30 - Ве Fio

Status: Closed Start date: 2011-01-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution:    

Description

Mod_security protects against problematic applications, bots, application vulnerabilities, and the like. Since Redmine Mailhandler

doesn't have a user-agent, it also gets rejected by the default rules. As the Redmine repository manager already has a user-agent, it

would be proper to also add one here for clarification of 'what' is sending a POST to /mail_handler (even though we both know what it

is). Maybe something similar to the Redmine repository manager's user-agent, "Redmine Mail Handler/#{version}" or "Redmine

Mailhandler/#{version}" :)

Associated revisions

Revision 4725 - 2011-01-15 15:48 - Jean-Philippe Lang

Adds a User-Agent header to Redmine mailhandler requests (#7318).

History

#1 - 2011-01-13 12:06 - Ве Fio

- File user-agent.diff added

#2 - 2011-01-15 15:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.2.0

Committed in r4725 with a slight change to user agent string. Thanks.

Files

user-agent.diff 1.34 KB 2011-01-13 Ве Fio
